import os

headers = {'Content-Type': 'application/json'}

os_env = os.getenv('LYY_DEV', 'unknown')
debug_url = "http://139.186.134.115:8806/jeecg-boot/"
product_url = 'http://api.tjyourong.com.cn/jeecg-boot/'


dev_server_port = 'http://139.186.165.84:31012/'
product_server_port = 'http://139.186.27.96:31012/'


# 创建计划url
create_campaign_url = (debug_url if os_env == 'dev' else product_url) + 'kuaishou/create/campaignCreate'

# 修改广告计划状态url
# 入参：accountId    账户id                     Long
#      putStatus    状态 1-投放、2-暂停、3-删除   int
#      userId       操作人id                    string
#      campaignIds  计划id集合                   array
# 返回结果
# {
#     "success": true,
#     "message": "操作成功！",
#     "code": 0,
#     "result": {
#         "failCount": 1,
#         "failInfo": [
#             {
#                 "message": "access token错误"
#             }
#         ],
#         "totalCount": 1
#     },
#     "timestamp": 1630030314462
# }
update_campaign_status_url = (debug_url if os_env == 'dev' else product_url) + 'kuaishou/batch/batchUpdateStatus'


# 创建组和创意url
create_group_and_creative_url = (debug_url if os_env == 'dev' else product_url) + 'kuaishou/create/createUnitAndCreative'

# ai_target_combine 服务的接口
target_combine_url = (dev_server_port if os_env == 'dev' else product_server_port) + 'ai_target_combine'

# 定向人群预估查询

estimate_people_number_url = (debug_url if os_env == 'dev' else product_url) + 'estimatePeopleNumber/getCount'

